Skip to main content
POST
/
api
/
v2
/
orders
/
ai-detection
/
confirm
cURL
curl -X POST "https://api.bizmori.com/api/v2/orders/ai-detection/confirm" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"idempotencyKey": "YOUR_IDEMPOTENCY_KEY", "orderId": "ORDER_ID"}'
const response = await fetch(
'https://api.bizmori.com/api/v2/orders/ai-detection/confirm',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({ idempotencyKey: 'YOUR_IDEMPOTENCY_KEY', orderId: 'ORDER_ID' })
}
);
const data = await response.json();
import requests

response = requests.post(
'https://api.bizmori.com/api/v2/orders/ai-detection/confirm',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={'idempotencyKey': 'YOUR_IDEMPOTENCY_KEY', 'orderId': 'ORDER_ID'}
)
data = response.json()


{
  "data": {
    "orderId": "<string>",
    "status": "inProgress"
  }
}
{
"code": "VALIDATION_FAILED"
}
{
"code": "AUTH_NOT_AUTHENTICATED"
}
{
"code": "RESOURCE_NOT_FOUND"
}
주문 생성 단계에서 받은 프리사인드 URL로 이미지를 업로드한 후에 이 엔드포인트를 호출하세요. 파일이 아직 업로드되지 않은 경우 에러가 반환됩니다.

Authorizations

Authorization
string
header
required

API Key for external client access

Body

application/json
idempotencyKey
string
required

Unique key to prevent duplicate requests. If the same key is used in a retry, the current order status is returned without reprocessing.

Example:

"01950c7e-f6b2-7000-8000-abcdef123456"

orderId
string
required

Order ID

Response

Processing started

data
object